This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 733396 - Problems with wiimote pairing in lswm / wmgui / dolphin-emu following upgrade to kernel 2.6.40.3-0
Problems with wiimote pairing in lswm / wmgui / dolphin-emu following upgrade...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
15
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-25 11:54 EDT by Giles
Modified: 2011-11-04 09:52 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-04 09:52:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Giles 2011-08-25 11:54:07 EDT
Description of problem:
Wiimote initially pairs, but fails to reconnect once turned off and back on

Version-Release number of selected component (if applicable):
Fedora 2.6.40.3-0.fc15.x86_64 

How reproducible:
Always

Steps to Reproduce:
1. Seems to happen with at least 3 programs: lswm wmgui dolphin-emu I'll focus on lswm
2. start lswm. The message comes up: Put Wiimotes in discoverable mode now (press 1+2)...
3. Press 1+2 on the wiimote - the wiimote is discovered and gives mac(?) number: XX:XX:XX:XX:XX:XX
4. call lswm again after it exits:  Put Wiimotes in discoverable mode now (press 1+2)...
5. Press 1+2 on the wiimote - message comes up: Bluetooth device inquiry error
6. Similar problem and output from wmgui. No output but same problem in dolphin-emu if wiimote is turned off and on.
  
Actual results:
wiimote will not re-pair after initial pairing and unpairing

Expected results:
wiimote is pairable on multiple occassions

Additional info:
I'm guessing this is a kernel error as I've heard tat kernel 3.0 includes new wiimote drivers.
Interestingly, the wiimote will still work as a pointer if I call it with sudo wminput -c ir_ptr XX:XX:XX:XX:XX:XX - turning wiimote off and then on does not affect the ability of the command to find the wiimote again.
Comment 2 Juan Manuel Rodriguez 2011-08-25 13:41:58 EDT
The drivers were added on the 3.1 kernel, not the 3.0 one.[1] 

A shame, it would've made debugging this problem easier if it was because of new drivers. 


[1] http://www.phoronix.com/scan.php?page=news_item&px=OTcwMQ
Comment 3 Chuck Ebbert 2011-08-30 01:17:07 EDT
Everything works perfectly for me - I can run lswm over and over and it works every time. What kind of bluetooth adapter does your computer have?
Comment 4 Giles 2011-08-31 19:05:09 EDT
Belkin USB Bluetooth adapter model: F8T017
Comment 5 Giles 2011-09-01 03:04:42 EDT
Other hardware info:

$ lsusb
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 002: ID 04d9:1203 Holtek Semiconductor, Inc. Keyboard
Bus 003 Device 003: ID 046d:c218 Logitech, Inc. Logitech RumblePad 2 USB
Bus 004 Device 002: ID 046d:c218 Logitech, Inc. Logitech RumblePad 2 USB
Bus 004 Device 003: ID 0a5c:4500 Broadcom Corp. BCM2046B1 USB 2.0 Hub (part of BCM2046 Bluetooth)
Bus 004 Device 004: ID 0a5c:4502 Broadcom Corp. Keyboard (Boot Interface Subclass)
Bus 004 Device 005: ID 0a5c:4503 Broadcom Corp. 
Bus 004 Device 006: ID 050d:0017 Belkin Components B8T017 Bluetooth+EDR 2.1


$ lspci
00:00.0 RAM memory: nVidia Corporation MCP78S [GeForce 8200] Memory Controller (rev a2)
00:01.0 ISA bridge: nVidia Corporation MCP78S [GeForce 8200] LPC Bridge (rev a2)
00:01.1 SMBus: nVidia Corporation MCP78S [GeForce 8200] SMBus (rev a1)
00:01.2 RAM memory: nVidia Corporation MCP78S [GeForce 8200] Memory Controller (rev a1)
00:01.3 Co-processor: nVidia Corporation MCP78S [GeForce 8200] Co-Processor (rev a2)
00:01.4 RAM memory: nVidia Corporation MCP78S [GeForce 8200] Memory Controller (rev a1)
00:02.0 USB Controller: nVidia Corporation MCP78S [GeForce 8200] OHCI USB 1.1 Controller (rev a1)
00:02.1 USB Controller: nVidia Corporation MCP78S [GeForce 8200] EHCI USB 2.0 Controller (rev a1)
00:04.0 USB Controller: nVidia Corporation MCP78S [GeForce 8200] OHCI USB 1.1 Controller (rev a1)
00:04.1 USB Controller: nVidia Corporation MCP78S [GeForce 8200] EHCI USB 2.0 Controller (rev a1)
00:06.0 IDE interface: nVidia Corporation MCP78S [GeForce 8200] IDE (rev a1)
00:07.0 Audio device: nVidia Corporation MCP72XE/MCP72P/MCP78U/MCP78S High Definition Audio (rev a1)
00:08.0 PCI bridge: nVidia Corporation MCP78S [GeForce 8200] PCI Bridge (rev a1)
00:09.0 IDE interface: nVidia Corporation MCP78S [GeForce 8200] SATA Controller (non-AHCI mode) (rev a2)
00:0a.0 Ethernet controller: nVidia Corporation MCP77 Ethernet (rev a2)
00:10.0 PCI bridge: nVidia Corporation MCP78S [GeForce 8200] PCI Express Bridge (rev a1)
00:12.0 PCI bridge: nVidia Corporation MCP78S [GeForce 8200] PCI Express Bridge (rev a1)
00:13.0 PCI bridge: nVidia Corporation MCP78S [GeForce 8200] PCI Bridge (rev a1)
00:14.0 PCI bridge: nVidia Corporation MCP78S [GeForce 8200] PCI Bridge (rev a1)
00:18.0 Host bridge: Advanced Micro Devices [AMD] Family 10h Processor HyperTransport Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] Family 10h Processor Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] Family 10h Processor DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] Family 10h Processor Miscellaneous Control
00:18.4 Host bridge: Advanced Micro Devices [AMD] Family 10h Processor Link Control
01:0a.0 FireWire (IEEE 1394): Agere Systems FW322/323 (rev 70)
01:0b.0 Multimedia video controller: Conexant Systems, Inc. CX23880/1/2/3 PCI Video and Audio Decoder (rev 05)
01:0b.2 Multimedia controller: Conexant Systems, Inc. CX23880/1/2/3 PCI Video and Audio Decoder [MPEG Port] (rev 05)
02:00.0 VGA compatible controller: nVidia Corporation Device 0e22 (rev a1)
02:00.1 Audio device: nVidia Corporation Device 0beb (rev a1)
Comment 6 Giles 2011-09-01 03:29:42 EDT
Turning bluetooth off and on works around the problem: 

$ lswm
Put Wiimotes in discoverable mode now (press 1+2)...
00:1D:BC:43:AB:72
$ lswm
Put Wiimotes in discoverable mode now (press 1+2)...
Bluetooth device inquiry error
$ sudo service bluetooth stop
Redirecting to /bin/systemctl  stop bluetooth.service
$ sudo service bluetooth start
Redirecting to /bin/systemctl  start bluetooth.service
$ lswm
Put Wiimotes in discoverable mode now (press 1+2)...
00:1D:BC:43:AB:72
Comment 7 Giles 2011-09-01 03:46:00 EDT
This bug does not replicate on a different (32-bit) fedora 15 machine running kernel 2.6.38.8-35.fc15.i686.PAE
Comment 8 Giles 2011-09-01 07:29:32 EDT
Okay final bit of spam: I've just installed regressed to previous kernel on the problem machine using yum and this bug is not present in kernel 2.6.38.6-26.rc1.fc15.x86_64

If not wiimote drivers then I presume firmware for belkin bluetooth sensor may be broken in the current kernel?

I can't think of anything else to test for now. For now I will regress the kernel on my main fedora install, but will keep a copy of the faulty kernel for further testing as you advise.
Comment 9 Giles 2011-09-02 07:17:54 EDT
Could this be a bluez bug, rather than kernel? Post hints f16 updates-testing repo solved same problem by updating bluez. No similar updates in f15 updates-testing. Awaiting further info.

http://forums.fedoraforum.org/showthread.php?p=1508765&posted=1#post1508765
Comment 10 Giles 2011-09-02 12:53:15 EDT
I've followed the bluez root as far as I can but no resolution. Problem still existed with downgraded bluez, bluez-libs etc. Tried rebuilding the f16 updates testing packages in mock for f15, but udev conflict prevented them installing.

Post linked above did not test wiimotes - think it's unlikely they'll work though.

So I'm still left with a probable kernel issue :(
Comment 11 Giles 2011-11-04 09:42:39 EDT
I've just upgraded the kernel to 2.6.40.6-0.fc15.x86_64 and this problem appears resolved. Not sure what was going on there but it appears to be fixed now, so that's great - I'm very grateful to the anonymous person whose hard work has helped me out! Could the maintainers please mark this bug SOLVED :)
Comment 12 Josh Boyer 2011-11-04 09:52:42 EDT
Thank you for letting us know.

Note You need to log in before you can comment on or make changes to this bug.